Skip to main content

Get project pipeline mode

GET 

/api/projects/:project_id/pipeline/basic

Gets a project's pipeline mode: one of the two basic pipelines (PR into integration branch, or Integration + Release), custom, or none for a project without a repository; whether its org's plan includes custom pipelines, whether a custom pipeline is read-only because the plan no longer does, each repository's integration branch, the release branch, the address of each live stage, and when the pipeline was last reset to a basic.

Request​

Responses​

OK